Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.clustering
Class ClusteringConstants

    java.lang.Object
      org.apache.axis2.clustering.ClusteringConstants

    public final class ClusteringConstants

extends Object

All constants used by the Axis2 clustering implementation

Nested Class Summary
`static class` | `ClusteringConstants.MembershipScheme`
`static class` | `ClusteringConstants.Parameters` The main cluster configuration parameters

Field Summary
`static String` | `BLOCK_ALL_REQUESTS`
`static String` | `CLUSTER_INITIALIZED`
`static String` | `DEFAULT_DOMAIN` The default domain to which this member belongs to.
`static String` | `LOCAL_IP_ADDRESS`
`static String` | `NODE_MANAGER_SERVICE`
`static String` | `RECD_CONFIG_INIT_MSG`
`static String` | `RECD_STATE_INIT_MSG`
`static String` | `REQUEST_BLOCKING_HANDLER`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DOMAIN

    public static final String DEFAULT_DOMAIN

  The default domain to which this member belongs to. This node may be running in application or loadBalance mode

  See Also:
    Constant Field Values

### NODE_MANAGER_SERVICE

    public static final String NODE_MANAGER_SERVICE

See Also:
  Constant Field Values

### REQUEST_BLOCKING_HANDLER

    public static final String REQUEST_BLOCKING_HANDLER

See Also:
  Constant Field Values

### CLUSTER_INITIALIZED

    public static final String CLUSTER_INITIALIZED

See Also:
  Constant Field Values

### RECD_CONFIG_INIT_MSG

    public static final String RECD_CONFIG_INIT_MSG

See Also:
  Constant Field Values

### RECD_STATE_INIT_MSG

    public static final String RECD_STATE_INIT_MSG

See Also:
  Constant Field Values

### BLOCK_ALL_REQUESTS

    public static final String BLOCK_ALL_REQUESTS

See Also:
  Constant Field Values

### LOCAL_IP_ADDRESS

    public static final String LOCAL_IP_ADDRESS

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.